#inputDiv {
  display: flex;
}

#colors {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
}

#colors input {
  margin: 10px;
  padding: 20px 24px;
}

#red {
  background-color: red;
}

#steelblue {
  background-color: steelblue;
}

#orange {
  background-color: orange;
}

#purple {
  background-color: purple;
}

#green {
  background-color: green;
}

.selectedColor {
  border-width: 5px;
}

.delLine {
  width: 100%;
  flex: 1 1 auto;
  display: flex;
  flex-direction: column;
}

.lineButton {
  margin: 10px;
  font-size: large;
  width: 96%;
  height: 100%;
}

#languages {
  margin-left: 20px;
}

.language {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  overflow: hidden;
  padding: 0;
  background-color: transparent;
}

.flag {
  height: 100%;
  width: 100%;
  pointer-events: none;
}

.main-container {
  display: grid;
  grid-template-columns: 1fr 30%;
  gap: 20px;
  padding: 20px;
  align-items: start;
}

#chart-container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 15px;
}

.controls-section {
  position: sticky;
  top: 28px;

  display: flex;
  flex-direction: column;
  gap: 22px;
  padding: 20px;
  background-color: #d1d1d1;
  border-radius: 12px;

  height: calc(98vh - 40px);
  overflow-y: auto;
  box-sizing: border-box;
}

.greycLogo {
  margin: 0 20px;
}

#showColor {
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 14%;
}

.checkboxWrapper input {
  display: none;
}

.checkboxWrapper label {
  width: 20px;
  height: 20px;
  border: none;
  background: transparent;
  display: inline-block;
  cursor: pointer;
  padding: 3px;
  position: relative;
}

.eye-icon {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  transition: transform 0.2s ease, opacity 0.2s ease;
}

.checkboxWrapper input:checked + label .open {
  opacity: 1;
  pointer-events: auto;
}

.checkboxWrapper input:checked + label .closed {
  opacity: 0;
  pointer-events: none;
}

.checkboxWrapper input:not(:checked) + label .open {
  opacity: 0;
  pointer-events: none;
}

.checkboxWrapper input:not(:checked) + label .closed {
  opacity: 1;
  pointer-events: auto;
}

.checkboxWrapper label:hover {
  transform: scale(1.1);
}

.stdDev {
  display: flex;
  margin-left: 20px;
}

#SDText {
  width: 15%;
}

.svgStdDev {
  /* border: 1px solid black; */
  max-width: 30px;
  margin: 20px;
}

.stdDevContainer {
  /* border: 2px solid black; */
  display: flex;
  width: 20%;
  transition: opacity 0.5s ease;
  opacity: 1;
}

.stdDevContainer.hidden {
  opacity: 0;
}

.stdDev p {
  margin-top: 22px;
}

.logo {
  margin-left: 10%;
  max-height: 32px;
  margin-top: 20px;
  align-self: left;
}

#bioResults {
  display: none;
  text-align: center;
  height: 121px;
  margin: 0px;
}

#helpBtn {
  height: 42px;
  width: 42px;
  border-radius: 50%;
  border: solid rgb(116, 116, 116) 1px;
  padding: 0;
  position: relative;
  top: -15px;
  margin-left: 5px;
}

#inputDiv input {
  width: 28%;
  margin: 0 20px;
  height: 30px;
}

#mdp {
  margin-bottom: 0;
  margin-top: 6px;
}

#changePassword {
  width: 96%;
  height: 7%;
  margin: 0 10px;
  font-size: large;
}